XnThreadSafeQueue Class Reference

`#include <XnThreadSafeQueue.h>`

Inheritance diagram for XnThreadSafeQueue:
[legend]

## Public Member Functions

| XnThreadSafeQueue ()
| ~XnThreadSafeQueue ()
XnStatus | Init ()
XnStatus | Push (XnValue const &value)
XnStatus | Pop (XnValue &value)
XnUInt32 | Size () const
Public Member Functions inherited from XnQueue
| XnQueue ()
virtual | ~XnQueue ()
XnValue const & | Top () const
XnValue & | Top ()
XnBool | IsEmpty () const

## Detailed Description

A thread safe queue.

## Constructor & Destructor Documentation

## XnThreadSafeQueue()

XnThreadSafeQueue::XnThreadSafeQueue | ( |  | ) |

inline

## ~XnThreadSafeQueue()

XnThreadSafeQueue::~XnThreadSafeQueue | ( |  | ) |

inline

## Member Function Documentation

## Init()

XnStatus XnThreadSafeQueue::Init | ( |  | ) |

inline virtual

Initialized the queue. This method should be called before calling any other method.

Reimplemented from XnQueue.

## Pop()

XnStatus XnThreadSafeQueue::Pop | ( | XnValue & | value | ) |

inline virtual

Pop the value at the top of the queue

Parameters

  value | [out] The value that was at the top of the queue

Returns
  XN_STATUS_IS_EMPTY The queue is empty

Reimplemented from XnQueue.

## Push()

XnStatus XnThreadSafeQueue::Push | ( | XnValue const & | value | ) |

inline virtual

Push a new value to the queue

Parameters

  value | [in] The value to add to the queue

Returns
  XN_STATUS_ALLOC_FAILED Failed to add to the queue because no nodes are available.

Reimplemented from XnQueue.

## Size()

XnUInt32 XnThreadSafeQueue::Size | ( |  | ) | const

inline virtual

Get current size of queue

Reimplemented from XnQueue.

The documentation for this class was generated from the following file:

- XnThreadSafeQueue.h